libglom-1.22 1.22.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glom::PrintLayout Class Reference
Inheritance diagram for Glom::PrintLayout:
[legend]
Collaboration diagram for Glom::PrintLayout:
[legend]

## Public Types

typedef std::vector< double > | type_vec_doubles
Public Types inherited from Glom::TranslatableItem

enum

enumTranslatableItemType {
TRANSLATABLE_TYPE_INVALID,
TRANSLATABLE_TYPE_FIELD,
TRANSLATABLE_TYPE_RELATIONSHIP,
TRANSLATABLE_TYPE_LAYOUT_ITEM,
TRANSLATABLE_TYPE_CUSTOM_TITLE,
TRANSLATABLE_TYPE_PRINT_LAYOUT,
TRANSLATABLE_TYPE_REPORT,
TRANSLATABLE_TYPE_TABLE,
TRANSLATABLE_TYPE_BUTTON,
TRANSLATABLE_TYPE_TEXTOBJECT,
TRANSLATABLE_TYPE_IMAGEOBJECT,
TRANSLATABLE_TYPE_CHOICEVALUE,
TRANSLATABLE_TYPE_DATABASE_TITLE
}

typedef std::map < Glib::ustring, Glib::ustring > | type_map_locale_to_translations

## Public Member Functions

| PrintLayout ()
| PrintLayout (const PrintLayout& src)
PrintLayout& | operator= (const PrintLayout& src)
bool | get_show_table_title () const
void | set_show_table_title (bool show_table_title=true)
sharedptr< LayoutGroup > | get_layout_group ()
sharedptr< const LayoutGroup > | get_layout_group () const
void | set_page_setup (const std::string& page_setup)
| Sets the Page Setup as it would be created by a Gtk::PageSetup.
std::string | get_page_setup () const
| Returns the Page Setup as it would be created by a Gtk::PageSetup.
void | set_page_count (guint count)
guint | get_page_count () const
bool | get_show_grid () const
void | set_show_grid (bool show_grid=true)
bool | get_show_rules () const
void | set_show_rules (bool show_rules=true)
bool | get_show_outlines () const
void | set_show_outlines (bool show_outlines=true)
type_vec_doubles | get_horizontal_rules () const
| Get the y positions of the horizontal rule lines.
void | set_horizontal_rules (const type_vec_doubles& rules)
type_vec_doubles | get_vertical_rules () const
| Get the x positions of the vertical rule lines.
void | set_vertical_rules (const type_vec_doubles& rules)
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem ()
| TranslatableItem (const TranslatableItem& src)
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src)
bool | operator== (const TranslatableItem& src) const
bool | operator!= (const TranslatableItem& src) const
virtual void | set_name (const Glib::ustring& name)
| Set the non-translated identifier name.
virtual Glib::ustring | get_name () const
| Get the non-translated identifier name.
bool | get_name_not_empty () const
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const
virtual Glib::ustring | get_title (const Glib::ustring& locale) const
| Get the title's translation for the specified locale, falling back to the original text if there is no translation.
virtual Glib::ustring | get_title_original () const
| Get the title's original (non-translated, usually English) text.
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original.
void | set_title (const Glib::ustring& title, const Glib::ustring& locale)
| Set the title's translation for the specified locale.
void | set_title_original (const Glib::ustring& title)
| Set the title's original (non-translated, usually English) text.
void | clear_title_in_all_locales ()
| Clear the original title and any translations of the title.
bool | get_has_translations () const
enumTranslatableItemType | get_translatable_item_type () const

## Additional Inherited Members

Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type)
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type)
| The non-translated name is used for the context in gettext .po files.
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Member Typedef Documentation

typedef std::vector<double> Glom::PrintLayout::type_vec_doubles

## Constructor & Destructor Documentation

Glom::PrintLayout::PrintLayout | ( |  | ) |

Glom::PrintLayout::PrintLayout | ( | const PrintLayout& | src | ) |

## Member Function Documentation

type_vec_doubles Glom::PrintLayout::get_horizontal_rules | ( |  | ) | const

Get the y positions of the horizontal rule lines.

sharedptr<LayoutGroup> Glom::PrintLayout::get_layout_group | ( |  | ) |

sharedptr<const LayoutGroup> Glom::PrintLayout::get_layout_group | ( |  | ) | const

guint Glom::PrintLayout::get_page_count | ( |  | ) | const

std::string Glom::PrintLayout::get_page_setup | ( |  | ) | const

Returns the Page Setup as it would be created by a Gtk::PageSetup.

bool Glom::PrintLayout::get_show_grid | ( |  | ) | const

bool Glom::PrintLayout::get_show_outlines | ( |  | ) | const

bool Glom::PrintLayout::get_show_rules | ( |  | ) | const

bool Glom::PrintLayout::get_show_table_title | ( |  | ) | const

type_vec_doubles Glom::PrintLayout::get_vertical_rules | ( |  | ) | const

Get the x positions of the vertical rule lines.

PrintLayout& Glom::PrintLayout::operator= | ( | const PrintLayout& | src | ) |

void Glom::PrintLayout::set_horizontal_rules | ( | const type_vec_doubles& | rules | ) |

void Glom::PrintLayout::set_page_count | ( | guint | count | ) |

void Glom::PrintLayout::set_page_setup | ( | const std::string & | page_setup | ) |

Sets the Page Setup as it would be created by a Gtk::PageSetup.

void Glom::PrintLayout::set_show_grid | ( | bool | show_grid = `true` | ) |

void Glom::PrintLayout::set_show_outlines | ( | bool | show_outlines = `true` | ) |

void Glom::PrintLayout::set_show_rules | ( | bool | show_rules = `true` | ) |

void Glom::PrintLayout::set_show_table_title | ( | bool | show_table_title = `true` | ) |

void Glom::PrintLayout::set_vertical_rules | ( | const type_vec_doubles& | rules | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/print_layout.h